/*
 * Class ARRAYED_QUEUE [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1597 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1597 [] = {0xFF01,1551,1596,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1597 [] = {0xFF01,1596,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1597 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1597 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1597 [] = {0xFF01,1596,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1597 [] = {0xFF01,1596,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1597 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1597 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1597 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1597 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1597 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1597 [] = {1596,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1597 [] = {0xFF01,1596,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1597 [] = {0xFF01,1567,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1597 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1597 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1597 [] = {0xFF01,610,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1597 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1597 [] = {0xFF01,1547,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1597 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1597[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1597), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1597), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13058, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1597), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13071, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1597), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1597), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1597), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1597), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1597), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1597), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1597), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1597), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1597), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1597), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1597), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13057, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8599, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1597), 13077, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1597), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1597), 13056, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9337, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9338, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9075, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13070, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13072, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13060, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9385, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13065, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13066, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9009, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13068, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13067, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9010, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13073, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13074, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13075, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9339, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13069, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9388, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9389, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9384, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9386, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13051, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13076, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13078, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1597), 13017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13055, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1597), 13062, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13064, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1597), 13079, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13080, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13050, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13052, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13053, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1597), 13054, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13059, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13059, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13061, 0xFFFFFFFF},
};
void Init1597(void)
{
	IDSC(desc_1597, 0, 1596);
	IDSC(desc_1597 + 1, 1, 1596);
	IDSC(desc_1597 + 32, 1134, 1596);
	IDSC(desc_1597 + 41, 1060, 1596);
	IDSC(desc_1597 + 47, 1395, 1596);
	IDSC(desc_1597 + 49, 1135, 1596);
	IDSC(desc_1597 + 58, 309, 1596);
	IDSC(desc_1597 + 60, 878, 1596);
	IDSC(desc_1597 + 61, 586, 1596);
	IDSC(desc_1597 + 67, 617, 1596);
	IDSC(desc_1597 + 69, 196, 1596);
	IDSC(desc_1597 + 79, 554, 1596);
	IDSC(desc_1597 + 80, 778, 1596);
}


#ifdef __cplusplus
}
#endif
